import { BaseResolver, Document } from './resolve';
import { Oas3Rule } from './visitors';
import { NodeType } from './types';
import { Config, LintConfig } from './config/config';
export declare type Oas3RuleSet = Record<string, Oas3Rule>;
export declare function bundle(opts: {
    ref?: string;
    doc?: Document;
    externalRefResolver?: BaseResolver;
    config: Config;
    dereference?: boolean;
    base?: string;
}): Promise<{
    bundle: Document;
    problems: import("./walk").NormalizedProblem[];
    fileDependencies: Set<string>;
}>;
export declare function bundleDocument(opts: {
    document: Document;
    config: LintConfig;
    customTypes?: Record<string, NodeType>;
    externalRefResolver: BaseResolver;
    dereference?: boolean;
}): Promise<{
    bundle: Document;
    problems: import("./walk").NormalizedProblem[];
    fileDependencies: Set<string>;
}>;
