import { HttpResolveConfig } from './config/config';
export declare type StackFrame<T> = {
    prev: StackFrame<T> | null;
    value: T;
};
export declare type Stack<T> = StackFrame<T> | null;
export declare type StackNonEmpty<T> = StackFrame<T>;
export declare function pushStack<T, P extends Stack<T> = Stack<T>>(head: P, value: T): {
    prev: P;
    value: T;
};
export declare function popStack<T, P extends Stack<T>>(head: P): Stack<T>;
export declare type BundleOutputFormat = 'json' | 'yml' | 'yaml';
export declare function loadYaml(filename: string): Promise<string | object | undefined>;
export declare function notUndefined<T>(x: T | undefined): x is T;
export declare function isPlainObject(value: any): value is object;
export declare function readFileFromUrl(url: string, config: HttpResolveConfig): Promise<{
    body: any;
    mimeType: any;
}>;
export declare function match(url: string, pattern: string): boolean;
